"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "IDynamoQuerySecondaryParamOptions", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoQuerySecondaryParamOptions;
  }
});
Object.defineProperty(exports, "IDynamoQueryParamOptions", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoQueryParamOptions;
  }
});
Object.defineProperty(exports, "ISecondaryIndexDef", {
  enumerable: true,
  get: function get() {
    return _index.ISecondaryIndexDef;
  }
});
Object.defineProperty(exports, "DynamoDataOperation", {
  enumerable: true,
  get: function get() {
    return _dynamoDataOperation.DynamoDataOperation;
  }
});
Object.defineProperty(exports, "IDynamoDataCoreEntityModel", {
  enumerable: true,
  get: function get() {
    return _baseSchema.IDynamoDataCoreEntityModel;
  }
});
Object.defineProperty(exports, "GenericDataError", {
  enumerable: true,
  get: function get() {
    return _errors.GenericDataError;
  }
});
exports["default"] = void 0;

var _index = require("./types/index.js");

var _dynamoDataOperation = require("./core/dynamo-data-operation.js");

var _baseSchema = require("./core/base-schema.js");

var _errors = require("./helpers/errors.js");

var _default = DynamoDataOperation;
exports["default"] = _default;